Offer to enable 'on the fly' CRS transformation when layers with different CRS are added to a project
Description

If two layers with different coordinate reference systems are added to a project, offer the opportunity to enable 'on the fly' projection. I think

for new users it is difficult to find the option for enabling 'on the fly' CRS transformation, even though they are aware their layers are in

different Coordinate reference systems.

History

#1 - 2013-01-21 03:18 PM - Larry Shaffer

- Status changed from Open to Feedback

- Category set to Projection Support

Hi James,

Are you suggesting the user is prompted to enable it if 'on the fly' is off?

Or, are you looking for the following (existing in master branch) setting in Options->CRS section?

"Automatically enable 'on the fly' reprojection if layers have different CRS" 

Also, it is unclear what version of QGIS you are referring to.

#2 - 2013-01-21 03:43 PM - James Morrison

Hi Larry, I am referring to QGIS 1.8 and I am suggesting the user to be prompted if 'on the fly' is off.

Is the Option > CRS option "Automatically enable 'on the fly' reprojection if layers have different CRS"  selected by default?

If that is so then this satisfies my original point.

I will try out this functionality in a build of the master branch

#3 - 2013-01-22 02:17 AM - James Morrison

I ran the nightly build, yes that default tick box in Options > CRS satisfies my original point, Thanks

#4 - 2013-01-22 08:38 AM - Larry Shaffer

- Status changed from Feedback to Closed
